# About

stdd (short for "simple time display daemon") is a handy little daemon for
the Raspberry PI device that can be used to display the current time on a
7 segment display with a HT16K33 backpack from Adafruit Industries. It 
makes heavy use of the python libraries published by Adafruit to control
the display via I2C.

## USAGE

see ./stdd 

## Dependencies

stov depends on the following software to be installed:

	* python 3.0 or higher (2.x versions might work but are deprecated)
	* python-pcrtl (optional)
	* Adafruit-LED-Backpack module from pypi

## COPYING

see LICENSE

## Configuration

       hw_address:    hardware  address  for  your  display, a common value is
       "0x70" use i2cdetect to find yours if it doesn't match

       blink_colon:   define if you want the middle colon to blink, 0 = off, 1
       = on

       brightness_high:    value  used for "high" brightness, valid values are
       0-15

       brightness_low:     value used for "low" brightness, valid  values  are
       0-15

       set_brightness_low: time of the day to change the brightness  from
       high to low
       
       set_brightness_high:     time of the day to change the brightness  from
       low to high

       syslog_level:  maximum  syslog  level to log, stdd uses debug, info and
       error

       syslog_facility:    syslog facility to use for logging (default:  user,
       can also be daemon)


## Known issues

None yet

## Installation

see INSTALL
